Subject: Last Call: <draft-ietf-6man-default-iids-16.txt> (Recommendation on Stable IPv6 Interface Identifiers) to Proposed Standard

From: The IESG <[email-masked]>
Date: Mon, 14 Nov 2016 19:13:10 -0800

The IESG has received a request from the IPv6 Maintenance WG (6man) to
consider the following document:
- 'Recommendation on Stable IPv6 Interface Identifiers'
  <draft-ietf-6man-default-iids-16.txt> as Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked] mailing lists by 2016-12-02. Exceptionally, comments may be
sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

Abstract

   This document changes the recommended default IID generation scheme
   for cases where SLAAC is used to generate a stable IPv6 address.  It
   recommends using the mechanism specified in RFC7217 in such cases,
   and recommends against embedding stable link-layer addresses in IPv6
   Interface Identifiers.  It formally updates RFC2464, RFC2467,
   RFC2470, RFC2491, RFC2492, RFC2497, RFC2590, RFC3146, RFC3572,
   RFC4291, RFC4338, RFC4391, RFC5072, and RFC5121.  This document does
   not change any existing recommendations concerning the use of
   temporary addresses as specified in RFC 4941.

The file can be obtained via
https://datatracker.ietf.org/doc/draft-ietf-6man-default-iids/

IESG discussion can be tracked via
https://datatracker.ietf.org/doc/draft-ietf-6man-default-iids/ballot/

No IPR declarations have been submitted directly on this I-D.

---

From: Lorenzo Colitti <[email-masked]>
Date: Tue, 15 Nov 2016 16:44:04 +0900

On Tue, Nov 15, 2016 at 12:13 PM, The IESG <[email-masked]> wrote:

> It formally updates RFC2464, RFC2467,
>    RFC4291, RFC4338, RFC4391, RFC5072, and RFC5121.

Does this document need to be a formal update to those RFCs? After all the
issues were resolved, the only remaining text that references those RFCs is:

   In particular,
   this document RECOMMENDS that nodes do not generate stable IIDs with
   the schemes specified in [RFC2464], [RFC2467], [RFC2470], [RFC2491],
   [RFC2492], [RFC2497], [RFC2590], [RFC3146], [RFC3572], [RFC4338],
   [RFC4391], [RFC5121], and [RFC5072].

Does that require a formal update?

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 15 Nov 2016 16:58:12 +0900

Hi Lorenzo,

> On Nov 15, 2016, at 4:44 PM, Lorenzo Colitti <[email-masked]> wrote:
> 
> On Tue, Nov 15, 2016 at 12:13 PM, The IESG <[email-masked] <mailto:[email-masked]>> wrote:
> Does this document need to be a formal update to those RFCs? After all the issues were resolved, the only remaining text that references those RFCs is:
> 
>    In particular,

I think so. If the documents listed were being written from scratch today, I think they would contain the recommendation quoted above. That seems to align with the definition of “Updates” given in RFC 2223.

One thing we could do is add a note about why this document updates the documents listed above, taking the recommendation from https://tools.ietf.org/html/draft-wilde-updating-rfcs-00 <https://tools.ietf.org/html/draft-wilde-updating-rfcs-00>.

Alissa

---

From: Fernando Gont <[email-masked]>
Date: Tue, 15 Nov 2016 04:54:11 -0300

On 11/15/2016 04:44 AM, Lorenzo Colitti wrote:
> Does this document need to be a formal update to those RFCs? After all
> the issues were resolved, the only remaining text that references those
> RFCs is:
> 
>    In particular,

IMO, it certainly does, sine we're recommending something different than
what such RFCs are saying -- i.e., we're updating them.

Besides, the metadata points readers of such documents that they should
read this one.

Thanks!

Best regards,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 16 Nov 2016 08:43:26 +1300

Regards
   Brian Carpenter

> I think so. If the documents listed were being written from scratch today, I think they would contain the recommendation quoted above. That seems to align with the definition of “Updates” given in…

I agree, fwiw.

> One thing we could do is add a note about why this document updates the documents listed above,

I think the whole point of this draft is exactly that, so what could we add?

> taking the recommendation from https://tools.ietf.org/html/draft-wilde-updating-rfcs-00 

No, that draft suggests an extra section, which IMHO is just bureaucracy.

   Brian